API Documentation for TrustX

For more information, please visit: TrustX Documentation

Last Updated: 2026-08-19

Server
https://{tenantId}.fir.trustx.com

URL for fir regional system

https://{tenantId}.gum.trustx.com

URL for gum regional system

https://{tenantId}.oak.trustx.com

URL for oak regional system

Server Variables

Access to the APIs is restricted by bearer auth

apiKey ApiKeyAuth

An API key is required to create a token

Fields
KeyIn
X-Api-KeyHeader

Obtain a bearer token by API Key for the tenant

Returns the JWT token, otherwise 401 and an error code and message.

Auth
Headers
X-ApiKeystring
X-Api-Keystring
POST /api/arthr/apiKeys/issue
curl --request POST \
--url 'https://myTenantId.fir.trustx.com/api/arthr/apiKeys/issue' \
--header 'X-ApiKey: {X-ApiKey}' \
--header 'X-Api-Key: {X-Api-Key}' \
--header 'X-Api-Key: {X-Api-Key}'
Copy
Responses
200

OK

objectobject
tokenstring
ttlint32
400

Bad Request

401

Unauthorized

Response
{
"token": "{string}",
"ttl": "{int32}"
}
Copy

List API Keys for the tenant

List API Keys for the tenant.

API Permissions: TNT#{tenantid}#ArthrServer:listTenantApiKeys

Auth
Query String
namestring

Default: %

pageinteger

Default: 0

sizeinteger

minimum: 1

Default: 10

sortobject
sortarray[string]
GET /api/arthr/apiKeys
curl --get \
--url 'https://myTenantId.fir.trustx.com/api/arthr/apiKeys' \
--header 'Authorization: Bearer {token}' \
--data name=%25 \
--data page={page} \
--data size=10 \
--data sort=%7B%22sort%22:%5B%22%7Barray%5Bstring%5D...%7D%22%5D%7D
Copy
Responses
200

OK

objectobject
totalElementsint64
totalPagesint32
firstboolean
sort3 fieldsobject
numberint32
numberOfElementsint32
pageable6 fieldsobject
lastboolean
sizeint32
content14 fieldsarray[object]
emptyboolean
400

Bad Request

401

Unauthorized

Response
{
"totalElements": "{int64}",
"totalPages": "{int32}",
"first": "{boolean}",
"sort": {
"unsorted": "{boolean}",
"sorted": "{boolean}",
"empty": "{boolean}"
},
"number": "{int32}",
"numberOfElements": "{int32}",
"pageable": {
"sort": {
"unsorted": "{boolean}",
"sorted": "{boolean}",
"empty": "{boolean}"
},
"unpaged": "{boolean}",
"paged": "{boolean}",
"pageSize": "{int32}",
"pageNumber": "{int32}",
"offset": "{int64}"
},
"last": "{boolean}",
"size": "{int32}",
"content": [
{
"permittedOperations": [
"{array[string]...}"
],
"createdDtm": "{date-time}",
"lastUpdatedDtm": "{date-time}",
"createdBy": "{string}",
"lastUpdatedBy": "{string}",
"id": "{string,null}",
"type": "{string}",
"code": "{string}",
"name": "{string}",
"description": "{string}",
"status": "{string}",
"permissions": [
"{array[string]...}"
],
"expiringDtm": "{date-time}",
"lastIssuedAtDtm": "{date-time}"
}
],
"empty": "{boolean}"
}
Copy

Create an API Key for a tenant

Create an API Key for a tenant.

API Permissions: TNT#{tenantid}#ArthrServer:createTenantApiKey

Auth
Request Body
objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring?
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
lastIssuedAtDtmdate-time
POST /api/arthr/apiKeys
curl --request POST \
--url 'https://myTenantId.fir.trustx.com/api/arthr/apiKeys' \
--header 'Authorization: Bearer {token}' \
--data '{
"permittedOperations": [
"{array[string]...}"
],
"createdDtm": "{date-time}",
"lastUpdatedDtm": "{date-time}",
"createdBy": "{string}",
"lastUpdatedBy": "{string}",
"id": "{string,null}",
"type": "{string}",
"code": "{string}",
"name": "{string}",
"description": "{string}",
"status": "{string}",
"permissions": [
"{array[string]...}"
],
"expiringDtm": "{date-time}",
"lastIssuedAtDtm": "{date-time}"
}'
Copy
Responses
201

Created

objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring?
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
lastIssuedAtDtmdate-time
400

Bad Request

401

Unauthorized

Response
{
"permittedOperations": [
"{array[string]...}"
],
"createdDtm": "{date-time}",
"lastUpdatedDtm": "{date-time}",
"createdBy": "{string}",
"lastUpdatedBy": "{string}",
"id": "{string,null}",
"type": "{string}",
"code": "{string}",
"name": "{string}",
"description": "{string}",
"status": "{string}",
"permissions": [
"{array[string]...}"
],
"expiringDtm": "{date-time}",
"lastIssuedAtDtm": "{date-time}"
}
Copy

Get an API Key for a tenant

Returns the specific API Key for a tenant.

API Permissions: TNT#{tenantid}#ArthrServer:getFromTenant

Auth
Path Params
apiKeyIdstring
GET /api/arthr/apiKeys/{apiKeyId}
curl --get \
--url 'https://myTenantId.fir.trustx.com/api/arthr/apiKeys/{apiKeyId}' \
--header 'Authorization: Bearer {token}'
Copy
Responses
200

OK

objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring?
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
lastIssuedAtDtmdate-time
400

Bad Request

401

Unauthorized

Response
{
"permittedOperations": [
"{array[string]...}"
],
"createdDtm": "{date-time}",
"lastUpdatedDtm": "{date-time}",
"createdBy": "{string}",
"lastUpdatedBy": "{string}",
"id": "{string,null}",
"type": "{string}",
"code": "{string}",
"name": "{string}",
"description": "{string}",
"status": "{string}",
"permissions": [
"{array[string]...}"
],
"expiringDtm": "{date-time}",
"lastIssuedAtDtm": "{date-time}"
}
Copy

Update an API Key for a tenant

Updates an API Key for a tenant.

API Permissions: TNT#{tenantid}#ArthrServer:updateTenantApiKey

Auth
Path Params
apiKeyIdstring
Request Body
objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring?
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
lastIssuedAtDtmdate-time
POST /api/arthr/apiKeys/{apiKeyId}
curl --request POST \
--url 'https://myTenantId.fir.trustx.com/api/arthr/apiKeys/{apiKeyId}' \
--header 'Authorization: Bearer {token}' \
--data '{
"permittedOperations": [
"{array[string]...}"
],
"createdDtm": "{date-time}",
"lastUpdatedDtm": "{date-time}",
"createdBy": "{string}",
"lastUpdatedBy": "{string}",
"id": "{string,null}",
"type": "{string}",
"code": "{string}",
"name": "{string}",
"description": "{string}",
"status": "{string}",
"permissions": [
"{array[string]...}"
],
"expiringDtm": "{date-time}",
"lastIssuedAtDtm": "{date-time}"
}'
Copy
Responses
200

OK

objectobject
permittedOperationsarray[string]
createdDtmdate-time
lastUpdatedDtmdate-time
createdBystring
lastUpdatedBystring
idstring?
typestring

Enum: PERMANENT,SESSION

codestring
namestring

maxLength: 255

minLength: 1

descriptionstring

maxLength: 255

minLength: 0

statusstring

Enum: ACTIVE,BLOCKED,ARCHIVED

permissionsarray[string]
expiringDtmdate-time
lastIssuedAtDtmdate-time
400

Bad Request

401

Unauthorized

Response
{
"permittedOperations": [
"{array[string]...}"
],
"createdDtm": "{date-time}",
"lastUpdatedDtm": "{date-time}",
"createdBy": "{string}",
"lastUpdatedBy": "{string}",
"id": "{string,null}",
"type": "{string}",
"code": "{string}",
"name": "{string}",
"description": "{string}",
"status": "{string}",
"permissions": [
"{array[string]...}"
],
"expiringDtm": "{date-time}",
"lastIssuedAtDtm": "{date-time}"
}
Copy

Delete an API Key.

Deletes the specific API Key. Once the API is deleted it cannot be recovered.

API Permissions: TNT#{tenantid}#ArthrServer:deleteFromTenant

Auth
Path Params
apiKeyIdstring
DELETE /api/arthr/apiKeys/{apiKeyId}
curl --request DELETE \
--url 'https://myTenantId.fir.trustx.com/api/arthr/apiKeys/{apiKeyId}' \
--header 'Authorization: Bearer {token}'
Copy
Responses
204

No Content

No response body
400

Bad Request

401

Unauthorized

Response
No response
Copy